Managed Instance Private Endpoint Connections - List By Managed Instance

Gets all private endpoint connections on a server.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/privateEndpointConnections?api-version=2025-01-01

URI Parameters

Name In Required Type Description
managedInstanceName
path True

string

The name of the managed instance.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ManagedInstancePrivateEndpointConnectionListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Gets list of private endpoint connections on a server.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/test-cl/privateEndpointConnections?api-version=2025-01-01

Sample response

{
  "value": [
    {
      "name": "private-endpoint-connection-name",
      "type": "Microsoft.Sql/managedInstances/privateEndpointConnections",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/test-cl/privateEndpointConnections/private-endpoint-connection-name",
      "properties": {
        "privateEndpoint": {
          "id": "/subscriptions/55555555-6666-7777-8888-999999999999/resourceGroups/Default-Network/providers/Microsoft.Network/privateEndpoints/private-endpoint-name"
        },
        "privateLinkServiceConnectionState": {
          "description": "Auto-approved",
          "actionsRequired": "None",
          "status": "Approved"
        },
        "provisioningState": "Ready"
      }
    },
    {
      "name": "private-endpoint-connection-name-2",
      "type": "Microsoft.Sql/managedInstances/privateEndpointConnections",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/test-cl/privateEndpointConnections/private-endpoint-connection-name-2",
      "properties": {
        "privateEndpoint": {
          "id": "/subscriptions/55555555-6666-7777-8888-999999999999/resourceGroups/Default-Network/providers/Microsoft.Network/privateEndpoints/private-endpoint-name-2"
        },
        "privateLinkServiceConnectionState": {
          "description": "Auto-approved",
          "actionsRequired": "None",
          "status": "Approved"
        },
        "provisioningState": "Ready"
      }
    }
  ]
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ManagedInstancePrivateEndpointConnection

A private endpoint connection

ManagedInstancePrivateEndpointConnectionListResult

The response of a ManagedInstancePrivateEndpointConnection list operation.

ManagedInstancePrivateEndpointProperty
ManagedInstancePrivateLinkServiceConnectionStateProperty
systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ManagedInstancePrivateEndpointConnection

A private endpoint connection

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.privateEndpoint

ManagedInstancePrivateEndpointProperty

Private endpoint which the connection belongs to.

properties.privateLinkServiceConnectionState

ManagedInstancePrivateLinkServiceConnectionStateProperty

Connection State of the Private Endpoint Connection.

properties.provisioningState

string

State of the Private Endpoint Connection.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ManagedInstancePrivateEndpointConnectionListResult

The response of a ManagedInstancePrivateEndpointConnection list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

ManagedInstancePrivateEndpointConnection[]

The ManagedInstancePrivateEndpointConnection items on this page

ManagedInstancePrivateEndpointProperty

Name Type Description
id

string

Resource id of the private endpoint.

ManagedInstancePrivateLinkServiceConnectionStateProperty

Name Type Description
actionsRequired

string

The private link service connection description.

description

string

The private link service connection description.

status

string

The private link service connection status.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.